Bug 734892 - aeolus-configure: puppet generated ntp conf is broken, remove or fix driftfile /var/lib/ntp/drift
Summary: aeolus-configure: puppet generated ntp conf is broken, remove or fix driftfil...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configure
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Mo Morsi
QA Contact: wes hayutin
URL: na
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 19:14 UTC by wes hayutin
Modified: 2012-01-26 12:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 12:49:57 UTC


Attachments (Terms of Use)

Description wes hayutin 2011-08-31 19:14:58 UTC
Description of problem:
[root@hp-bl480c-01 ~]# /etc/init.d/ntpd status
ntpd.service - Network Time Service
	  Loaded: loaded (/lib/systemd/system/ntpd.service)
	  Active: failed since Wed, 31 Aug 2011 15:11:18 -0400; 2s ago
	 Process: 10309 ExecStart=/usr/sbin/ntpd -n -u ntp:ntp $OPTIONS (code=exited, status=1/FAILURE)
	  CGroup: name=systemd:/system/ntpd.service


[root@hp-bl480c-01 ~]# cat /etc/ntp.conf 
# /etc/ntp.conf generated by puppet
driftfile /var/lib/ntp/drift 
server pool.ntp.org
[root@hp-bl480c-01 ~]#

Comment 1 Mo Morsi 2011-09-22 04:07:01 UTC
Can you elaborate the conditions under which you are seeing this. Just tried it on F15 and it seemed to work fine

[mmorsi@f15 ~]$ cat /etc/ntp.conf 
# /etc/ntp.conf generated by puppet
driftfile /var/lib/ntp/drift 
server pool.ntp.org

[mmorsi@f15 ~]$ /etc/init.d/ntpd status
ntpd.service - Network Time Service
	  Loaded: loaded (/lib/systemd/system/ntpd.service)
	  Active: active (running) since Wed, 21 Sep 2011 14:07:02 -0400; 1h 8min ago
	Main PID: 3159 (ntpd)
	  CGroup: name=systemd:/system/ntpd.service
		  └ 3159 /usr/sbin/ntpd -n -u ntp:ntp -g


[mmorsi@f15 ~]$ ps aux | grep ntp
ntp       3159  0.0  0.1  30520  2504 ?        Ss   14:07   0:00 /usr/sbin/ntpd -n -u ntp:ntp -g

Comment 2 wes hayutin 2011-09-22 14:17:13 UTC
[root@unused aeolus-conductor]# rpm -qa | grep thin
rubygem-thin-1.2.11-10.fc15.x86_64
[root@unused aeolus-conductor]# rpm -qa | grep aeolus
aeolus-conductor-0.4.0-0.20110921152740gitac47a38.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-all-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-configure-2.0.2-4.20110921102958gitcaa9608.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110921152740gitac47a38.fc15.noarch
[root@unused aeolus-conductor]# 
[root@unused aeolus-conductor]# 
[root@unused aeolus-conductor]# 
[root@unused aeolus-conductor]# 
[root@unused aeolus-conductor]# 
[root@unused aeolus-conductor]# 
[root@unused aeolus-conductor]# cat /var/lib/ntp/drift 
-3.118
[root@unused aeolus-conductor]#


Note You need to log in before you can comment on or make changes to this bug.